## org.eclipse.datatools.modelbase.sql.query.impl
Class QueryExpressionBodyImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.QueryExpressionBodyImpl

All Implemented Interfaces:
  QueryExpressionBody, SQLQueryObject, TableExpression, TableReference, SQLObject

Direct Known Subclasses:
  QueryCombinedImpl, QueryNestedImpl, QuerySelectImpl, QueryValuesImpl

    public abstract class QueryExpressionBodyImpl

extends TableExpressionImpl
implements QueryExpressionBody

An implementation of the model object 'Expression Body'.

The following features are implemented:

- `Query Expression`
- `Combined Left`
- `Combined Right`
- `Predicate Exists`
- `Update Source Query`
- `With Table Specification`
- `Query Nest`

Method Summary
`NotificationChain` `basicSetCombinedLeft(QueryCombined newCombinedLeft, NotificationChain msgs)`
`NotificationChain` `basicSetCombinedRight(QueryCombined newCombinedRight, NotificationChain msgs)`
`NotificationChain` `basicSetPredicateExists(PredicateExists newPredicateExists, NotificationChain msgs)`
`NotificationChain` `basicSetQueryExpression(QueryExpressionRoot newQueryExpression, NotificationChain msgs)`
`NotificationChain` `basicSetQueryNest(QueryNested newQueryNest, NotificationChain msgs)`
`NotificationChain` `basicSetUpdateSourceQuery(UpdateSourceQuery newUpdateSourceQuery, NotificationChain msgs)`
`NotificationChain` `basicSetWithTableSpecification(WithTableSpecification newWithTableSpecification, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`QueryCombined` `getCombinedLeft()`
`QueryCombined` `getCombinedRight()`
`PredicateExists` `getPredicateExists()`
`QueryExpressionRoot` `getQueryExpression()`
`QueryNested` `getQueryNest()`
`UpdateSourceQuery` `getUpdateSourceQuery()`
`WithTableSpecification` `getWithTableSpecification()`
`void` `setCombinedLeft(QueryCombined newCombinedLeft)`
`void` `setCombinedRight(QueryCombined newCombinedRight)`
`void` `setPredicateExists(PredicateExists newPredicateExists)`
`void` `setQueryExpression(QueryExpressionRoot newQueryExpression)`
`void` `setQueryNest(QueryNested newQueryNest)`
`void` `setUpdateSourceQuery(UpdateSourceQuery newUpdateSourceQuery)`
`void` `setWithTableSpecification(WithTableSpecification newWithTableSpecification)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
`basicSetTableCorrelation, getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
`basicSetNest, basicSetQuerySelect, basicSetTableJoinedLeft, basicSetTableJoinedRight, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getQueryExpression

    public QueryExpressionRoot getQueryExpression()

  Specified by:
    `getQueryExpression` in interface `QueryExpressionBody`
  Returns:
    the value of the 'Query Expression' container reference.
  See Also:
    `QueryExpressionBody.setQueryExpression(QueryExpressionRoot)`, `SQLQueryModelPackage.getQueryExpressionBody_QueryExpression()`, `QueryExpressionRoot.getQuery()`

### basicSetQueryExpression

    public NotificationChain basicSetQueryExpression(QueryExpressionRoot newQueryExpression,
                                                     NotificationChain msgs)

### setQueryExpression

    public void setQueryExpression(QueryExpressionRoot newQueryExpression)

  Specified by:
    `setQueryExpression` in interface `QueryExpressionBody`
  Parameters:
    `newQueryExpression` - the new value of the 'Query Expression' container reference.
  See Also:
    `QueryExpressionBody.getQueryExpression()`

### getCombinedLeft

    public QueryCombined getCombinedLeft()

  Specified by:
    `getCombinedLeft` in interface `QueryExpressionBody`
  Returns:
    the value of the 'Combined Left' container reference.
  See Also:
    `QueryExpressionBody.setCombinedLeft(QueryCombined)`, `SQLQueryModelPackage.getQueryExpressionBody_CombinedLeft()`, `QueryCombined.getLeftQuery()`

### basicSetCombinedLeft

    public NotificationChain basicSetCombinedLeft(QueryCombined newCombinedLeft,
                                                  NotificationChain msgs)

### setCombinedLeft

    public void setCombinedLeft(QueryCombined newCombinedLeft)

  Specified by:
    `setCombinedLeft` in interface `QueryExpressionBody`
  Parameters:
    `newCombinedLeft` - the new value of the 'Combined Left' container reference.
  See Also:
    `QueryExpressionBody.getCombinedLeft()`

### getCombinedRight

    public QueryCombined getCombinedRight()

  Specified by:
    `getCombinedRight` in interface `QueryExpressionBody`
  Returns:
    the value of the 'Combined Right' container reference.
  See Also:
    `QueryExpressionBody.setCombinedRight(QueryCombined)`, `SQLQueryModelPackage.getQueryExpressionBody_CombinedRight()`, `QueryCombined.getRightQuery()`

### basicSetCombinedRight

    public NotificationChain basicSetCombinedRight(QueryCombined newCombinedRight,
                                                   NotificationChain msgs)

### setCombinedRight

    public void setCombinedRight(QueryCombined newCombinedRight)

  Specified by:
    `setCombinedRight` in interface `QueryExpressionBody`
  Parameters:
    `newCombinedRight` - the new value of the 'Combined Right' container reference.
  See Also:
    `QueryExpressionBody.getCombinedRight()`

### getPredicateExists

    public PredicateExists getPredicateExists()

  Specified by:
    `getPredicateExists` in interface `QueryExpressionBody`
  Returns:
    the value of the 'Predicate Exists' container reference.
  See Also:
    `QueryExpressionBody.setPredicateExists(PredicateExists)`, `SQLQueryModelPackage.getQueryExpressionBody_PredicateExists()`, `PredicateExists.getQueryExpr()`

### basicSetPredicateExists

    public NotificationChain basicSetPredicateExists(PredicateExists newPredicateExists,
                                                     NotificationChain msgs)

### setPredicateExists

    public void setPredicateExists(PredicateExists newPredicateExists)

  Specified by:
    `setPredicateExists` in interface `QueryExpressionBody`
  Parameters:
    `newPredicateExists` - the new value of the 'Predicate Exists' container reference.
  See Also:
    `QueryExpressionBody.getPredicateExists()`

### getUpdateSourceQuery

    public UpdateSourceQuery getUpdateSourceQuery()

  Specified by:
    `getUpdateSourceQuery` in interface `QueryExpressionBody`
  Returns:
    the value of the 'Update Source Query' container reference.
  See Also:
    `QueryExpressionBody.setUpdateSourceQuery(UpdateSourceQuery)`, `SQLQueryModelPackage.getQueryExpressionBody_UpdateSourceQuery()`, `UpdateSourceQuery.getQueryExpr()`

### basicSetUpdateSourceQuery

    public NotificationChain basicSetUpdateSourceQuery(UpdateSourceQuery newUpdateSourceQuery,
                                                       NotificationChain msgs)

### setUpdateSourceQuery

    public void setUpdateSourceQuery(UpdateSourceQuery newUpdateSourceQuery)

  Specified by:
    `setUpdateSourceQuery` in interface `QueryExpressionBody`
  Parameters:
    `newUpdateSourceQuery` - the new value of the 'Update Source Query' container reference.
  See Also:
    `QueryExpressionBody.getUpdateSourceQuery()`

### getWithTableSpecification

    public WithTableSpecification getWithTableSpecification()

  Specified by:
    `getWithTableSpecification` in interface `QueryExpressionBody`
  Returns:
    the value of the 'With Table Specification' container reference.
  See Also:
    `QueryExpressionBody.setWithTableSpecification(WithTableSpecification)`, `SQLQueryModelPackage.getQueryExpressionBody_WithTableSpecification()`, `WithTableSpecification.getWithTableQueryExpr()`

### basicSetWithTableSpecification

    public NotificationChain basicSetWithTableSpecification(WithTableSpecification newWithTableSpecification,
                                                            NotificationChain msgs)

### setWithTableSpecification

    public void setWithTableSpecification(WithTableSpecification newWithTableSpecification)

  Specified by:
    `setWithTableSpecification` in interface `QueryExpressionBody`
  Parameters:
    `newWithTableSpecification` - the new value of the 'With Table Specification' container reference.
  See Also:
    `QueryExpressionBody.getWithTableSpecification()`

### getQueryNest

    public QueryNested getQueryNest()

  Specified by:
    `getQueryNest` in interface `QueryExpressionBody`
  Returns:
    the value of the 'Query Nest' container reference.
  See Also:
    `QueryExpressionBody.setQueryNest(QueryNested)`, `SQLQueryModelPackage.getQueryExpressionBody_QueryNest()`, `QueryNested.getNestedQuery()`

### basicSetQueryNest

    public NotificationChain basicSetQueryNest(QueryNested newQueryNest,
                                               NotificationChain msgs)

### setQueryNest

    public void setQueryNest(QueryNested newQueryNest)

  Specified by:
    `setQueryNest` in interface `QueryExpressionBody`
  Parameters:
    `newQueryNest` - the new value of the 'Query Nest' container reference.
  See Also:
    `QueryExpressionBody.getQueryNest()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `TableExpressionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TableExpressionImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `TableReferenceImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `TableExpressionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TableExpressionImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `TableExpressionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `TableExpressionImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.